[zeromq-dev] [python] setuptools, pyzmq and sodium

Drew Crawford drew at sealedabstract.com
Thu Mar 6 20:24:41 CET 2014


Hi folks,

I’m writing a package
That I want to distribute with setuptools
That requires pyzmq
…to be built with libsodium

I’m wondering what is the best way to achieve this.  If I simply declare in my setup.py

> install_requires=['pyzmq>=14.0.1’]

This creates a dependency on pyzmq, however it does not check if it is sodium-aware.  And if no pyzmq is present on the system, it installs a non-sodium version, so the install is incorrect.

I see there is some work going on in pyzmq 14.1 to change how libsodium packaging works internally  but ideally I am looking for a solution that works with 14.0.1.

Drew
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.zeromq.org/pipermail/zeromq-dev/attachments/20140306/6ef06f16/attachment.htm>


More information about the zeromq-dev mailing list